package cn.jyjz.xiaoyao.common.redis.cache.ehcache;

import cn.jyjz.xiaoyao.common.redis.cache.constants.CacheConstants;
import cn.jyjz.xiaoyao.common.redis.config.CacheProperties;
import net.sf.ehcache.Cache;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cache.ehcache.EhCacheCacheManager;
import org.springframework.stereotype.Component;

/**
 * Created by zhangyong on 2021/6/10.
 */
@Component("ehcacheTask")
public class EhCacheTask {

    private Logger logger = LoggerFactory.getLogger(EhCacheTask.class);

    @Autowired
    private CacheProperties cacheProperties;

    public void ehcachetask(EhCacheCacheManager ehCacheCacheManager) {

        if(null != ehCacheCacheManager){
            net.sf.ehcache.CacheManager cacheManager = ehCacheCacheManager.getCacheManager();

            //TODO 获取有问题
            Cache cache = cacheManager.getCache(cacheProperties.getPrefix() + CacheConstants.USER_MODEL_NAME);

            if(null != cache){
                cache.getKeysWithExpiryCheck();
            }
        }

        logger.info("=====>>>>>使用cron  {}", System.currentTimeMillis());
    }

}