package cn.jyjz.xiaoyao.common.redis.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @author zhangyong
 * @title: CacheProperties
 * @projectName jyjz-parent
 * @description: TODO
 * @date 2021/12/1 3:29 PM
 */
@Data
@Component
@ConfigurationProperties(prefix = "xiaoyao.cache")
public class CacheProperties {
    //缓存名称前缀
    private String prefix = "base_";

    private String managerName = "cacheMgr";

    //存储超时时间
    private long tokenExpire = 3600;

    //缓存名称分隔符
    private String cacheNamePrix = "-";

    //存放缓存刷新时间是，使用临时缓存名称前缀
    private  String cacheNameTimePrix = "time";
}
